Skip to main content
Monitoring & Collection/Monitoring Query & Overview
POSTMonitoringSince 1.0SynchronousAuth Required

RecordHealthEvent

Record a health event (latency measurement or error) for a platform

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • platformUuidStringRequired

    UUID of the platform to record the health event for

Body Fields

  • eventTypeStringRequired

    Type of event being recorded (e.g. error, latency_spike)

    Example: error

  • latencyMsStringRequired

    Observed latency in milliseconds

    Example: 280

  • errorMessageStringRequired

    Optional error message to include with this event

    Example: upstream timeout

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/api/v1/monitoring/platform/{platformUuid}/health-events

/api/v1/monitoring/platform/{platformUuid}/health-events

Operation ID

RecordHealthEvent

Permalink

Request Example

curl -X POST '{host}/api/v1/monitoring/platform/{platformUuid}/health-events' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"eventType":"error","latencyMs":280,"errorMessage":"upstream timeout"}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history